%define lib_major	0
%define libname		%mklibname gdiplus %{lib_major}
%define libnamedev	%mklibname -d gdiplus

Name:		libgdiplus
Version:        4.2
Release:	%mkrel 1
Summary:	An Open Source implementation of the GDI+ API
License:	MIT
Group:		System/Libraries
URL:		http://www.mono-project.com/Main_Page
Source0:	http://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
# drop -Wno-format so the default -Werror=format-security works
Patch1:         libgdiplus-2.10.9-format.patch
Patch2:		libgdiplus-2.10.9-gold.patch
BuildRequires:	glib2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	giflib-devel
BuildRequires:	tiff-devel
BuildRequires:	png-devel
BuildRequires:	libsm-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxml2-devel
BuildRequires:	libfontconfig-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	automake

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n	%{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n	%{libnamedev}
Summary:	Libraries for developing with libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gdiplus 0

%description -n	%{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%prep
%setup -q
%patch1 -p1 -b .giflib5
%patch2 -p1 -b .gold

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%make_install

# workaround
sed -i -e 's|-L${libjpeg_prefix}/lib||g' %{buildroot}%{_libdir}/pkgconfig/libgdiplus.pc

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING
%doc NEWS README TODO AUTHORS ChangeLog
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc src/ChangeLog
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so


%changelog
* Fri Apr 08 2016 tv <tv> 4.2-1.mga6
+ Revision: 999401
- new release

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.12-2.mga6
+ Revision: 920402
- rebuild for giflib
- add patch from omdv to fix build with giflib5

* Thu Dec 03 2015 tv <tv> 3.12-1.mga6
+ Revision: 907900
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.10.9-9.mga5
+ Revision: 749428
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.9-8.mga5
+ Revision: 681479
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 wally <wally> 2.10.9-7.mga5
+ Revision: 644142
- add patch to fix build with new freetype
- drop unneeded conflicts

* Sat Oct 19 2013 umeabot <umeabot> 2.10.9-6.mga4
+ Revision: 525871
- Mageia 4 Mass Rebuild

  + matteo <matteo>
    - drop --with-cairo option for configure (not valid anymore)

* Sun Jun 02 2013 fwang <fwang> 2.10.9-4.mga4
+ Revision: 434895
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 357168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.10.9-2.mga3
+ Revision: 341537
- patch3: fix build with automake 1.13
- drop non-working and unneeded configure change

* Sat Sep 01 2012 matteo <matteo> 2.10.9-1.mga3
+ Revision: 287047
- new version

* Fri Dec 23 2011 fwang <fwang> 2.10-3.mga2
+ Revision: 186479
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 2.10-2.mga2
+ Revision: 142312
- fix link patch
- fix linkage
- add netbsd patch to build with libpng 1.5
- br pango
- more br
- rebuild for new libpng

* Thu Jul 14 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 123960
- new version 2.10

* Sat Jan 15 2011 ahmad <ahmad> 2.8.1-2.mga1
+ Revision: 18120
- drop old/unneeded scriptlets
- imported package libgdiplus

